<?php
function htmlDecode($s)
  {
  return stripcslashes(htmlspecialchars_decode($s));
  }

if(is_plugin_page())
  {
  load_plugin_textdomain('WordpressLockdown', 'wp-content/plugins/WordpressLockdown');
  if($_POST['updating']=='true')
    {
    update_option('wpl_debugMode', $_POST['wpl_debugMode']=="1");     
    update_option('wpl_stealthDebug', $_POST['wpl_stealthDebug']=="1");
    
    update_option('wpl_teaseText', htmlDecode($_POST['wpl_teaseText']));
    update_option('wpl_buttonText', htmlDecode($_POST['wpl_buttonText']));
    update_option('wpl_buttonUrl', htmlDecode($_POST['wpl_buttonUrl']));
    update_option('wpl_lockdownTemplate', htmlDecode($_POST['wpl_lockdownTemplate']));
    update_option('wpl_amemberText', htmlDecode($_POST['wpl_amemberText']));
    update_option('wpl_userlevelText', htmlDecode($_POST['wpl_userlevelText']));
    update_option('wpl_comingSoonTemplate', htmlDecode($_POST['wpl_comingSoonTemplate']));
    update_option('wpl_incrTitle', htmlDecode($_POST['wpl_incrTitle']));
    update_option('wpl_cbSecretKey', htmlDecode($_POST['wpl_cbSecretKey']));
    update_option('wpl_cbText', htmlDecode($_POST['wpl_cbText']));
    update_option('wpl_mailFrom', htmlDecode($_POST['wpl_mailFrom']));
    update_option('wpl_ipnProducts', htmlDecode($_POST['wpl_ipnProducts']));
    }

  include_once('loadOptions.php');
  include_once('pro.php');
?>

<style>
ul.indent
  {
  padding: 20px;
  padding-left: 50px;
  }
li.num
  {
  list-style-type: circle
  }
</style>

<div class="wrap">
<h2><? wpl_title(); ?> Settings</h2>

	<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
<p class="submit" style="border: none; margin: 0; padding: 0; padding-top: 10px"><input type="submit" name="Submit" value="Save Changes" /></p>
	<input type="hidden" name="updating" value="true" />

<style>
.form-table, label, fieldset, td
  {
  font-size: 1.05em !important;
  }
</style>
<table class="form-table">

<tr valign="top">
<th scope="row">Debug Mode</th>
<td><fieldset>
<label>

<?php 
	if($wpl_debugMode) $checked="checked";
	else $checked="";
?>

<input name="wpl_debugMode" type="checkbox" value="1"  <?= $checked ?>  />

Use this to have Wordpress Lockdown print out info about why it's locking down or not locking down posts. This is useful when you're first installing and want to make
sure you've got it set up right.</label>
</fieldset></td>
</tr>


<tr valign="top">
<th scope="row">Stealth Debug Mode</th>
<td><fieldset>
<label>
<?php 
	if($wpl_stealthDebug) $checked="checked";
	else $checked="";
?>
<input name="wpl_stealthDebug" type="checkbox" value="1" <?= $checked ?> />

Causes the debug statements to be printed out in HTML comments rather than plain text. This is useful when you're debugging on a live system and don't want to tell the
world what you're up to. This option has no effect if Debug Mode is off.</label>
</fieldset></td>
</tr>


<tr valign="top">
<th scope="row">What Wordpress Lockdown Does</th>
<td>
<p>Let's say you want to show the full content of certain posts to customers who have bought certain products from you. 

<p>However, if they haven't yet bought the product then you want to show a teaser in the wordpress post that gives them a preview of the post and then invites them to click a button to buy the full content.

<p>This is where WP Lockdown comes in. When your customers buy your products via Clickbank or Amember it unlocks the content for them. For instance, here's what a user might see before they've purchased the protected content in a post:

<ul class="indent">
And the 3rd secret is...
<p><b>To reveal the rest of the technique and discover another important secret trick</b>, 
click the button to find out all the great stuff you get when you become a full member:
<p><input name=0 type="button" value="Click Here To Get Instant Access">
</ul>

<p>You can also have it unlock posts based on wordpress user level. When unlocking based on user level you'll need to manually edit their Wordpress user account to change their user level to give them access.

<p>WP Lockdown's Amember and Clickbank integration automates this process so you don't have to edit their accounts manually. You can have it work using either Amember or Clickbank or even both.
</ul></tt>
</tr>


<tr valign="top">
<th scope="row">How To Use Wordpress Lockdown</th>
<td>
<p>On this page you can set up all of WP Lockdown's features. The way it works is you set the default values for its settings here and then in your individual wordpress posts you can override the defaults using tags.
<p>
</ul></tt>
</tr>



<tr valign="top">
<th scope="row">Example Wordpress Userlevel Post</th>
<td>
<p>Here's another complete example of a post you might make using Wordpress Lockdown:
<tt><ul class="indent">
And the 3rd secret is[protect] to use emotion rather than logic in your copy.

<p>[teaser]To reveal the rest of the technique and discover another important secret trick[/teaser]

<p>[button]Click Here To Get Instant Access[/button]
<br>[url]/amember/signup.php[/url]
<br>[userlevel]2[/userlevel]
<br>[/protect]
</ul></tt>
<p>In the above sample, the [userlevel]2[/userlevel] tag tells WP Lockdown let any user who has wordpress user level 2 to read the full post. You can also set the global default [userlevel] tag value in the settings below.

<p>See the <a href=#wp>Restricting Based On Wordpress Userlevel</a> section on how to set up Wordpress Userlevel integration.


</tr>

<tr valign="top">
<th scope="row">Example Clickbank Post <? wpl_onlyProMsg(); ?></th>
<td>
<p>Here's yet another complete example of a post you might make using Wordpress Lockdown:
<tt><ul class="indent">
And the 3rd secret is[protect] to use emotion rather than logic in your copy.

<p>[teaser]To reveal the rest of the technique and discover another important secret trick[/teaser]

<p>[button]Click Here To Get Instant Access[/button]
<br>[url]/amember/signup.php[/url]
<br>[cb]2 15[/cb]
<br>[/protect]
</ul></tt>
<p>In the above sample, the [cb]2 15[/cb] tag tells WP Lockdown let any user who has purchased Clickbank products 2 or 15 to read the full post. You can also set the global default [cb] tag value in the settings below.

<p>See the <a href=#cb>Restricting Based On Purchased Clickbank Products</a> section on how to set up Clickbank integration.
</tr>


<tr valign="top">
<th scope="row">Example Amember Post <? wpl_onlyProMsg(); ?></th>
<td>
<p>Here's a complete example of a post you might make using Wordpress Lockdown:
<tt><ul class="indent">
And the 3rd secret is[protect] to use emotion rather than logic in your copy.

<p>[teaser]To reveal the rest of the technique and discover another important secret trick[/teaser]

<p>[button]Click Here To Get Instant Access[/button]
<br>[url]/amember/signup.php[/url]
<br>[amember]2 15[/amember]
<br>[/protect]
</ul></tt>
<p>In the above sample, the [amember]2 15[/amember] tag tells WP Lockdown let any user who has purchased amember products 2 or 15 to read the full post. You can also set the global default [amember] tag value in the settings below.

<p>See the <a href=#am>Restricting Based On Purchased Amember Products</a> section on how to set up Amember integration.
</tr>


<tr valign="top">
<th scope="row">Lockdown Template</th>
<td><fieldset>
<label>
<textarea name="wpl_lockdownTemplate" cols=100 rows=8>
<?= htmlspecialchars($wpl_lockdownTemplate) ?>
</textarea>
<p>
</label>
</fieldset>The template used to get users to click your "Buy" link and purchase your content. The teaser template is shown in place of the protected content in your posts if the customer hasn't yet bought access to it.
It uses the following tags which are populated based on the text you enter in the fields below.

<ul class="indent">
<li class="num">%freeContent% - The content in the post that's before the [protect] tag. This is what they'll see even if they haven't purchased from you.
<li class="num">%teaser% - See 'Default Teaser' below
<li class="num">%buttonText% - See 'Default Button Text' below
<li class="num">%url% - See 'Default Button URL' below
</ul>

Here's a template you could use: 

<ul class="indent"><tt>
%freeContent%...&lt;p>&lt;b>%teaser%&lt;/b>, click the button to find out all the great stuff you get when you become a full member:
<br>&lt;p>&lt;form action="%url%">&lt;input type="submit" value="%buttonText%">&lt;/form>
</tt></ul>

<p>The idea is you start the post and get their attention, then once you're about to reveal a secret you cut it off mid-sentence and display the teaser and buy button.
So, in an actual post you might do something like:
<ul class="indent">
And the 3rd secret is[protect] to use emotion rather than logic in your copy.[/protect]
</ul>

<p>In that case, the %freeContent% would be "And the 3rd secret is". The locked down post would look something like:

<ul class="indent">
And the 3rd secret is...
<p><b>To reveal the rest of the technique and discover another important secret trick</b>, 
click the button to find out all the great stuff you get when you become a full member:
<p><input name=0 type="button" value="Click Here To Get Instant Access">
</ul>

</td>
</tr>

<tr valign="top">
<th scope="row">Default Teaser</th>
<td><fieldset>
<label>
<input name="wpl_teaseText" value="<?= htmlspecialchars($wpl_teaseText) ?>" size="100" />
<p>
</label>
</fieldset>The opening line after the end of the free content. This should build up the reader's desire to read the rest of the post. Something like
"To reveal the rest of the technique and discover another important secret trick" will work for your default teaser.

<p>This may be overridden in each post using the [teaser]My new teaser[/teaser] tag so that each teaser is customized for the specific
benefits they'll get from that exact post. 

<p>For instance, you could override it in the post to say something like 
"To reveal the other 3 secret techniques for converting dead leads into buyers without spending any more on advertising"
</td>
</tr>

<tr valign="top">
<th scope="row">Default Button Text</th>
<td><fieldset>
<label>
<input name="wpl_buttonText" value="<?= htmlspecialchars($wpl_buttonText) ?>" size="100" />
<p>
</label>
</fieldset>The default text label of the "Buy" button that the user clicks to purchase your content. Something like "Click Here To Get Instant Access" will work.

<p>This may be overridden in each post using the [button]My New Button Label[/button] tag so that each button label is customized for the specific
benefits they'll get from that exact post. 

<p>For instance, you could override it in the post to say something like 
"Click Here To Get Claim My 3 Secrets" </td>
</tr>

<tr valign="top">
<th scope="row">Default Button Url</th>
<td><fieldset>
<label>
<input name="wpl_buttonUrl" value="<?= htmlspecialchars($wpl_buttonUrl) ?>" size="100" />
<p>
</label>
</fieldset>The default url where the "Buy" button will go, probably to a sales letter that fully explains everything they get and why they should buy.
<p><b>If you're using amember</b>, you might use something like a customized version of '/amember/signup.php'.
<p><b>If you're using clickbank</b>, you might use something like 'http://1.mycbaccount.pay.clickbank.net/'.

<p>This may be overridden in each post using the [url]/some/other/place.html[/url] tag so that each button can go to a different signup page. 
You can use this for tracking and to have them purchase different products.</td>
</tr>

<tr valign="top">
<th scope="row">'From' Email Address</th>
<td><input name="wpl_mailFrom" value="<?= htmlspecialchars($wpl_mailFrom) ?>" size="100" />
<p>Enter the email address above that email will be from when WP Lockdown sends email such as when clickbank users buy your products. Enter text such as:
<ul class="indent">
Bob Smith &lt;bob@yoursite.com&gt;
</ul>
</td>
</tr>

<tr valign="top">
<th scope="row"><a name=cb></a>Restricting Based On Purchased Clickbank Products <? wpl_onlyProMsg(); ?></th>
<td>
(Note: The "Restricting Based On Purchased Clickbank Products" settings are not used if you're using amember, even if you're using clickbank products through amember.
If you're using amember then skip down to the "Restricting Based On Purchased Amember Products" section. Use the "Restricting Based On Purchased Clickbank Products" settings 
only when you want to have clickbank directly tell WP Lockdown to unlock products without going through amember first.)

<p>In order for Wordpress Lockdown to know what clickbank products the user has purchased, you first need to tell Clickbank to inform your 
wordpress blog whenever a user buys your products or requests refunds. To do that you need to set your clickbank Secret Key and Instant Notification URL:
<ul class="indent">
<li class="num">Log in to your Clickbank Account
<li class="num">Click 'Account Settings'
<li class="num">Click 'My Site'
<li class="num">Scroll down to 'Advanced Tools'
<li class="num">Click 'Edit'
<li class="num">Enter random text in the 'Secret Key' field or just use the default random text they have already there.
<li class="num">Copy and paste the following url into 'Instant Notification URL 1':
<ul class="indent">
<? $ipn=get_bloginfo('wpurl') . '/wp-content/plugins/WordpressLockdown/ipn.php'; ?>
<b><?= $ipn ?></b>
</ul>
</ul>

<p>Submit the clickbank page to save the url and your secret key. Double check that your IPN url is correct by clicking this link:
<ul class="indent">
<b><a href="<?= $ipn ?>" target=_blank><?= $ipn ?></a></b>
</ul>

<p>You should see a message confirming that you have the right url.

<p>Once you have that, copy and paste your clickbank Secret Key into the following field below:

</td>
</tr>

<tr valign="top">
<th scope="row">Clickbank Secret Key: <? wpl_onlyProMsg(); ?></th>
<td><input name="wpl_cbSecretKey" value="<?= htmlspecialchars($wpl_cbSecretKey) ?>" size="100" />
<p>Copy and paste your secret key from the field described in the previous section into the space above.
</td>
</tr>

<tr valign="top">
<th scope="row">Default Clickbank Products <? wpl_onlyProMsg(); ?></th>
<td><input name="wpl_cbText" value="<?= htmlspecialchars($wpl_cbText) ?>" size="100" />
<p>Enter a space-separated list of clickbank product ids into the field above to tell Wordpress Lockdown which clickbank products should unlock access
to your posts by default. To override this default list IDs in each post, use the [cb] tag. For instance, if you want to have a specific post be unlocked by clickbank
products 1, 4 and 5, then in your post enter:

<ul class="indent">[cb]1 4 5[/cb]</ul>
</td>
</tr>

<tr valign="top">
<th scope="row">Which Clickbank Products To Accept<p>(Needed For Multiple Blogs On One CB Account) <? wpl_onlyProMsg(); ?></th>
<td><input name="wpl_ipnProducts" value="<?= htmlspecialchars($wpl_ipnProducts) ?>" size="100" />
<p>Enter a space-separated list of clickbank product ids into the field above to tell Wordpress Lockdown which clickbank products WP Lockdown should listen to the
clickbank server for and create new users when people buy those products. This is needed so that you can have multiple blogs keying off one Clickbank account.

<p>For instance, you may have one blog for clickbank products 1, 2 and 3. So you'd enter 1 2 3 in the field above. In another blog you may have it set up for
clickbank products 11, 12 and 13. So in the WP Lockdown settings on that other blog you'd have 11 12 13 in its field.

<p>If you leave this field blank it then WP Lockdown will accept any clickbank product for any orders clickbank sends it through the IPN page you specified above.
</td>
</tr>


<tr valign="top">
<th scope="row">What Happens When A Person Buys Your Clickbank Product Or Gets A Refund <? wpl_onlyProMsg(); ?></th>
<td>
<p>When a user buys your clickbank product, clickbank notifies Wordpress Lockdown of this via the IPN url you used above. If there is no user with an email address
for this user, WP Lockdown creates a new login for them and emails them the new password and login.

<p>Wordpress Lockdown saves a list of the clickbank product IDs that person has purchased in the wordpress 'cbProducts' metafield. When the user wants to access
your protected content, they log in and WP Lockdown checks their meta data to see which posts they can see.

<p>If the user requests a refund, Clickbank sends another IPN request to WP Lockdown and access to the product is removed.

</td>
</tr>

<tr valign="top">
<th scope="row">How To Manually Add Or Remove Clickbank Products For Each User <? wpl_onlyProMsg(); ?></th>
<td>
<p>If you want to add or remove access to a clickbank product, just log in to wordpress as an admin who can create users. Go to that user's edit-account page and scroll down
to the section labeled "Wordpress Lockdown". Enter the list of clickbank product IDs they have access to (separated by spaces such as 4 56 87) and submit the page.
</td>
</tr>




<tr valign="top">
<th scope="row"><a name=wp></a>Restricting Based On Wordpress Userlevel</th>
<td><input name="wpl_userlevelText" value="<?= htmlspecialchars($wpl_userlevelText) ?>" size="100" />
<p>Use the above field to enter the minimum wordpress user level allowed to access the content. Leaving this blank simply means they need to have a login to access protected content.
To override the default user level use the [userlevel] tag.  You can use >= and > in front of user levels to specific a range.
For instance, to allow access to anyone with even the lowest level membershp and restrict access to unregistered visitors, use:

<ul class="indent">[userlevel]>=1[/userlevel]</ul>

This is actually redundant since Wordpress Lockdown will do the equivalent of [userlevel]1[/userlevel] even without the tag. 
To require they have a userlevel of at least 2, use:

<ul class="indent">[userlevel]>1[/userlevel]</ul>

To give access when they have a userlevel of <i>exactly</i> 2, use:

<ul class="indent">[userlevel]2[/userlevel]</ul>

You can also use a list of user levels, for instance:

<ul class="indent">[userlevel]1 3 >=5[/userlevel]</ul>

...would be the same as:

<ul class="indent">[userlevel]1 3 5 6 7 8 9 10[/userlevel]</ul>

Note there are consequences of using userlevels for access to products. 
Having a product for user level 5 for instance may not be what you want because it gives the user a lot of other powers on your blog by default. You would never
want to use userlevel 10 for giving people access to a product because userlevel 10 is the administrator user level.

<p>You can limit what different userlevels can do using the 
<a href="http://www.im-web-gefunden.de/wordpress-plugins/role-manager/" target="_blank">Wordpress Role Manager Plugin</a>. (Warning: this is a long page
that takes a long time to load. The title is in German but the text is in English.)

<p>Also see <a href=http://codex.wordpress.org/User_Levels target=_blank>http://codex.wordpress.org/User_Levels</a> for more information.
</tr>

<tr valign="top">
<th scope="row"><a name=am></a>Restricting Based On Purchased Amember Products <? wpl_onlyProMsg(); ?></th>
<td><input name="wpl_amemberText" value="<?= htmlspecialchars($wpl_amemberText) ?>" size="100" />
<p>Enter a space-separated list of amember product IDs in the field above to tell which amember products unlock protected posts by default.
To override this default setting, use the [amember] tag in each post. For instance:

<ul class="indent">[amember]1 4 5[/amember]</ul>

Wordpress Lockdown will check your amember database to see if they have active memberships for any of the product ids you list in the tag. Note that it does look at the 
date the products start and expire. <b>If they purchase an amember product and then it expires they'll be shown the locked down version of the post again even if they're 
logged in.</b>

<p>You can also have any the post unlock if they have any current amember products at all. To do that use 'any' as the product ID:

<ul class="indent">[amember]any[/amember]</ul>

<p>You can also use 'none' to mean that anyone with a login can access the post:

<ul class="indent">[amember]none[/amember]</ul>

<p>That setting would only be used to override the default setting you have on this page.
<!--
<p>Using amember ids is superior to using user levels because amember allows you to process orders automatically. It creates their account and gives access to the right
posts without you having to do anything. If you use userlevels instead of amember IDs
and have people pay using something like paypal without amember, then you'll need to process the orders manually and give access to them one by one. That may or may not
be a problem since it's very fast to set up paypal whereas amember takes a bit of effort. You may be doing less work by just using userlevels 
if you only are taking in a few orders a day.
-->
</tr>


<tr valign="top">
<th scope="row">Amember Incremental Content <? wpl_onlyProMsg(); ?></th>
<td><fieldset>
To have posts become active along with Amember's Incremental Content plugin (you must purchase the Incremental Content plugin separately from amember), use tags like this:

<ul class="indent">[amember]5.7[/amember]</ul>

This tells Wordpress Lockdown that when they have access to amember product ID 5 and amember incremental content link 7 to give them access. If they have access to product 
5 but don't have access to incremental content link 7, it will use the "Coming Soon" template which will be explained below. If they don't have access to product 5, 
they will be shown the usual "Please Buy" template as explained above.

<p>You can also make a list of links as follows:
<ul class="indent">[amember]5.7 10.18[/amember]</ul>

<p>Note that if you're not giving lifetime access and that these incremental content links will eventually expire, you want to have the amember product itself expire as well.
You don't want to have a case where an amember product is set for lifetime access but it has an incremental content link that is set for a shorter time (like a month).
If you do that, then once the link expires the user will be shown the 'Coming Soon" template once again even though the link is not coming soon, since 
it's expired and isn't coming back. Instead you want your amember product to expire at the same time that its last incremental content link expires. 

<p>In other words, don't set it up in amember so that incremental content links come and go without their enclosing product also expiring.
</tr>


<tr valign="top">
<th scope="row">Coming Soon Template</th>
<td><fieldset>
<label>
<textarea name="wpl_comingSoonTemplate" cols=100 rows=8>
<?= htmlspecialchars($wpl_comingSoonTemplate) ?>
</textarea>
<p>
</label>
</fieldset>This template is shown when users have purchased an amember product but the incremental links have not yet become active.
It uses the following tags which are populated based on the text you enter in the fields below.

<ul class="indent">
<li class="num">%freeContent% - The content in the post that's before the [protect] tag. This is what they'll see even if they haven't purchased from you.
<li class="num">%incrTitle% - See 'Incremental Title' below
</ul>

Here's a "coming soon" template you could use:

<ul class="indent"><tt>
%freeContent%...
<br>&lt;p>&lt;b>This content will be available to you soon as part of %incrTitle%.&lt;/b>
</tt></ul>

<p>For instance, an incremental content post that hasn't yet activated using that template post would become something like:

<ul class="indent">
And the 3rd secret is...
<p><b>This content will be available to you soon as part of "Week 3 Of Copywriting Secrets".</b>
</ul>

</td>
</tr>


<tr valign="top">
<th scope="row">Incremental Content Title <? wpl_onlyProMsg(); ?></th>
<td><fieldset>
<label>
<input name="wpl_incrTitle" value="<?= htmlspecialchars($wpl_incrTitle) ?>" size="100" />
<p>
</label>
</fieldset>The default incremental title used in the "Coming Soon" template.

<p>This may be overridden in each post the [incrTitle]My Title[/incrTitle] tag so that each post can let the user know about when to expect the post will become active.
For instance, from the previous example you could use [incrTitle]"Week 3 Of Copywriting Secrets"[/incrTitle]</td>
</tr>


<tr valign="top">
<th scope="row">Complete Incremental Content Example <? wpl_onlyProMsg(); ?></th>
<td>
Here's an example wordpress post that would require them to have amember product 2 which would be the product ID for your "Copywriting Secrets" course. It would require them to have 
access to incremental content link 15 which would be your link for the "Week 3" portion of your course.
<tt><ul class="indent">
And the 3rd secret is[protect] to use emotion rather than logic in your copy.

<p>[teaser]To reveal the rest of the technique and discover another important secret trick[/teaser]

<p>[button]Click Here To Unlock The "Copywriting Secrets" Course Materials[/button]
<br>[url]/amember/signup.php[/url]
<br>[amember]2.15[/amember]
<br>[incrTitle]"Week 3 Of Copywriting Secrets"[/incrTitle]
<br>[/protect]
</ul></tt>

</tr>



<tr valign="top">
<th scope="row">On Mixing Access Types <? wpl_onlyProMsg(); ?></th>
<td>
If you use both [amember] and [userlevel] tags in a post, or if you have both amember and userlevel defaults defined on this page, then Wordpress Lockdown will
give access to the user if either of the tags allow them access. If one denies access and the other allows access, then they will be allowed access.
</tr>



<tr valign="top">
<th scope="row" style="color: #d00">IMPORTANT SECURITY NOTICE</th>
<td>

The "All In One SEO" plugin will display your protected content unless you turn off the "Autogenerate Descriptions" setting. To fix this, go to 
Settings->"All in One SEO" and unselect 'Autogenerate Descriptions:'.
Make sure it's turned off by refreshing a lockdowned post and view the source, make sure there's no meta tag that looks like:

<ul class="indent">
&lt;meta name="description" content="Here is my super valuable secret that[protect] all in one SEO is displaying to the world" />
</ul>
</tr>

</tr>
</table>
<p class="submit"><input type="submit" name="Submit" value="Save Changes & Lock My Site Down!" /></p>
  </form>

</div>

<?php
  }
?>